Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988966 - [abrt] PackageKit-0.8.9-6.fc20: pk_engine_init: Process /usr/libexec/packagekitd was killed by signal 5 (SIGTRAP)
Summary: [abrt] PackageKit-0.8.9-6.fc20: pk_engine_init: Process /usr/libexec/packagek...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b4645dbd23854d8448d38a94a7e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-26 19:34 UTC by piio
Modified: 2014-05-07 14:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-11 09:19:19 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-26 19:34 UTC, piio
no flags Details
File: cgroup (deleted)
2013-07-26 19:34 UTC, piio
no flags Details
File: core_backtrace (deleted)
2013-07-26 19:34 UTC, piio
no flags Details
File: dso_list (deleted)
2013-07-26 19:34 UTC, piio
no flags Details
File: environ (deleted)
2013-07-26 19:34 UTC, piio
no flags Details
File: limits (deleted)
2013-07-26 19:34 UTC, piio
no flags Details
File: maps (deleted)
2013-07-26 19:34 UTC, piio
no flags Details
File: open_fds (deleted)
2013-07-26 19:35 UTC, piio
no flags Details
File: proc_pid_status (deleted)
2013-07-26 19:35 UTC, piio
no flags Details
File: var_log_messages (deleted)
2013-07-26 19:35 UTC, piio
no flags Details

Description piio 2013-07-26 19:34:31 UTC
Version-Release number of selected component:
PackageKit-0.8.9-6.fc20

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: pk_engine_init
executable:     /usr/libexec/packagekitd
kernel:         3.11.0-0.rc0.git6.2.fc20.i686.PAE
runlevel:       unknown
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 pk_engine_init at pk-engine.c:1605
 #3 g_type_create_instance at gtype.c:1868
 #4 g_object_new_internal at gobject.c:1743
 #7 pk_engine_new at pk-engine.c:1738

Comment 1 piio 2013-07-26 19:34:35 UTC
Created attachment 778870 [details]
File: backtrace

Comment 2 piio 2013-07-26 19:34:38 UTC
Created attachment 778871 [details]
File: cgroup

Comment 3 piio 2013-07-26 19:34:42 UTC
Created attachment 778872 [details]
File: core_backtrace

Comment 4 piio 2013-07-26 19:34:46 UTC
Created attachment 778873 [details]
File: dso_list

Comment 5 piio 2013-07-26 19:34:50 UTC
Created attachment 778874 [details]
File: environ

Comment 6 piio 2013-07-26 19:34:53 UTC
Created attachment 778875 [details]
File: limits

Comment 7 piio 2013-07-26 19:34:57 UTC
Created attachment 778876 [details]
File: maps

Comment 8 piio 2013-07-26 19:35:00 UTC
Created attachment 778877 [details]
File: open_fds

Comment 9 piio 2013-07-26 19:35:04 UTC
Created attachment 778878 [details]
File: proc_pid_status

Comment 10 piio 2013-07-26 19:35:08 UTC
Created attachment 778879 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-09-16 14:51:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 12 Richard Hughes 2013-12-11 09:19:19 UTC
It looks like PolicyKit has failed to initialize. Please reopen if you can reproduce.

Comment 13 Michael Hampton 2014-01-05 09:46:58 UTC
I had a crash reported by abrt which directed me to this bug; it occurred in 0.8.15-1.fc20.x86_64, which seems to be the current version.


Note You need to log in before you can comment on or make changes to this bug.